/**
This style must not be overridden by any client. The css contains common set of the CSS classes that are being added
to the system as new developments requirements are emerging.
If you ever have to amend the css classes of this file then put them them into other css files (e,g geo.css file) and override.
*/

.geoGridNeutralCell {
    font-size: 0.95em !important;
}

.geoGridProfitCell, .geoGridProfitCellOver, .geoGridProfitCellDark, .geoGridProfitCellOverDark, .geoGridProfitCellSelectedDark, .geoGridProfitCellSelectedOverDark, .geoGridProfitCellSelected, .geoGridProfitCellSelectedOver {
    background-color: #62ff96 !important;
}

.geoGridLossCell, .geoGridLossCellOver, .geoGridLossCellDark, .geoGridLossCellOverDark, .geoGridLossCellSelectedDark, .geoGridLossCellSelectedOverDark, .geoGridLossCellSelected, .geoGridLossCellSelectedOver {
    background-color: #FFA5A9 !important;
}

.Committed, .Committed div,
.CommittedOver, .CommittedOver div,
.CommittedDark, .CommittedDark div,
.CommittedOverDark, .CommittedOverDark div,
.CommittedSelectedDark, .CommittedSelectedDark div,
.CommittedSelectedOverDark, .CommittedSelectedOverDark div,
.CommittedSelected, .CommittedSelected div,
.CommittedSelectedOver, .CommittedSelectedOver div {
    background-color: #00b600 !important;
    font-size: 1.7em !important;
    font-weight: bold !important;
}

.Pending, .Pending div,
.PendingOver, .PendingOver div,
.PendingDark, .PendingDark div,
.PendingOverDark, .PendingOverDark div,
.PendingSelectedDark, .PendingSelectedDark div,
.PendingSelectedOverDark, .PendingSelectedOverDark div,
.PendingSelected, .PendingSelected div,
.PendingSelectedOver, .PendingSelectedOver div {
    background-color: #ebea09 !important;
    font-size: 1.7em !important;
    font-weight: bold !important;
}

.Rejected, .Rejected div,
.RejectedOver, .RejectedOver div,
.RejectedDark, .RejectedDark div,
.RejectedOverDark, .RejectedOverDark div,
.RejectedSelectedDark, .RejectedSelectedDark div,
.RejectedSelectedOverDark, .RejectedSelectedOverDark div,
.RejectedSelected, .RejectedSelected div,
.RejectedSelectedOver, .RejectedSelectedOver div {
    color: white !important;
    background-color: red !important;
    font-size: 1.7em !important;
    font-weight: bold !important;
}

.SystemRejected, .SystemRejected div,
.SystemRejectedOver, .SystemRejectedOver div,
.SystemRejectedDark, .SystemRejectedDark div,
.SystemRejectedOverDark, .SystemRejectedOverDark div,
.SystemRejectedSelectedDark, .SystemRejectedSelectedDark div,
.SystemRejectedSelectedOverDark, .SystemRejectedSelectedOverDark div,
.SystemRejectedSelected, .SystemRejectedSelected div,
.SystemRejectedSelectedOver, .SystemRejectedSelectedOver div {
    color: white !important;
    background-color: red !important;
    font-size: 1.7em !important;
    font-weight: bold !important;
}

.StatusDesc, .StatusDesc div,
.StatusDescOver, .StatusDescOver div,
.StatusDescDark, .StatusDescDark div,
.StatusDescOverDark, .StatusDescOverDark div,
.StatusDescSelectedDark, .StatusDescSelectedDark div,
.StatusDescSelectedOverDark, .StatusDescSelectedOverDark div,
.StatusDescSelected, .StatusDescSelected div,
.StatusDescSelectedOver, .StatusDescSelectedOver div {
    background-color: #F5F6F5 !important;
    font-size: 1.2em !important;
}

.Processing, .Processing div,
.ProcessingOver, .ProcessingOver div,
.ProcessingDark, .ProcessingDark div,
.ProcessingOverDark, .ProcessingOverDark div,
.ProcessingSelectedDark, .ProcessingSelectedDark div,
.ProcessingSelectedOverDark, .ProcessingSelectedOverDark div,
.ProcessingSelected, .ProcessingSelected div,
.ProcessingSelectedOver, .ProcessingSelectedOver div {
    background-color: #F5F6F5 !important;
    font-size: 1.7em !important;
    font-weight: bold !important;
}

@-moz-document url-prefix() {
    .imgButton, .imgButtonOver, .imgButtonSelected, .imgButtonSelectedDisabled, .imgButtonSelectedOver, .imgButtonDown, .imgButtonSelectedDown, .imgButtonDisabled {
        overflow: visible !important;
    }
}
.geoGridCheckbox input[type='checkbox'],
.geoGridCheckboxDisabled input[type='checkbox'] {
    width: 18px !important;
    height: 18px !important;
}

.geoGridCheckbox + input[type='checkbox']:disabled,
.geoGridCheckboxDisabled + input[type='checkbox']:disabled {
    background-color: #999 !important;
}

.geoGridCheckbox label,
.geoGridCheckboxDisabled label {
    display: block !important;
    padding-top: 5px !important;
}

.geoBorderedPanel {
    border: 1px solid #D9D9D9;
}

.geoDottedBorderedPanel {
    border: 3px dotted #D9D9D9;
}

.geoTitleSpacing,
.geoTitleSpacingDisabled,
.geoTitleSpacingOver,
.geoTitleSpacingFocused {
    padding-top: 8px !important;
    padding-right: 8px !important;
}

.textItemHintForApprovalModel,
.textItemHintForApprovalModel input,
.textItemHintForApprovalModelFocused,
.textItemHintForApprovalModelFocused input,
.textItemHintForApprovalModelDisabled,
.textItemHintForApprovalModelDisabled input,
.textItemHintForApprovalModelDisabledHint,
.textItemHintForApprovalModelDisabledHint input {
    color: #000000 !important;
    font-size: 1em !important;
    font-family: Arial, Verdana, sans-serif !important;
}

.textItemHintForApprovalModel input,
.textItemHintForApprovalModelFocused input {
    border: 1px solid #ababab !important;
}

.no-top {
    top: 0 !important;
}

.hidden {
    width: 0 !important;
    height: 0 !important;
    display: none !important;
    overflow: hidden !important;
}

.hide {
    display: none !important;
}

.show {
    display: block !important;
}

.geoHiddenInputFile,
.geoDNDFileUpload input[type="file"] {
    -moz-opacity: 0;
    filter: alpha(opacity:0);
    opacity: 0;
}

.geoDNDFileUpload,
.geoDNDFileUpload input[type="file"] {
    position: relative !important;
    left: 0 !important;
    top: -13px !important;
    width: 402px !important;
    height: 120px !important;
    border: 2px dashed #555 !important;
    cursor: hand !important;
}

input.btn:focus {
    outline: thin dotted !important;
}

input.btn:hover {
    color: #fff !important;
}

input.btn {
    color: #000 !important;
}

.geoToggleIcon img,
.geoToggleIcon img:hover {
    cursor: pointer !important;
    cursor: hand !important;
}

/* begin progress bar states.*/
.geoProgressBar {
    /*background-color: #fff !important;*/
    border: 1px solid #dadada !important;
}

.pb_PROCESSING {
    background-color: #8e8e8e !important;
    -moz-box-shadow: 0px 0px 10px #dadada;
    -webkit-box-shadow: 0px 0px 10px #dadada;
    -ms-box-shadow: 0px 0px 10px #dadada;
    box-shadow: 0px 0px 10px #dadada
}

.pb_PENDING {
    background-color: #ebea09 !important;
    -moz-box-shadow: 0px 0px 10px #dadada;
    -webkit-box-shadow: 0px 0px 10px #dadada;
    -ms-box-shadow: 0px 0px 10px #dadada;
    box-shadow: 0px 0px 10px #dadada
}

.pb_SYSTEM_REJECTED {
    background-color: red !important;
    -moz-box-shadow: 0px 0px 10px #dadada;
    -webkit-box-shadow: 0px 0px 10px #dadada;
    -ms-box-shadow: 0px 0px 10px #dadada;
    box-shadow: 0px 0px 10px #dadada
}

.pb_REJECTED {
    background-color: red !important;
    -moz-box-shadow: 0px 0px 10px #dadada;
    -webkit-box-shadow: 0px 0px 10px #dadada;
    -ms-box-shadow: 0px 0px 10px #dadada;
    box-shadow: 0px 0px 10px #dadada
}

.pb_ACCEPTED {
    background-color: #00b600 !important;
}

/* end progress bar states.*/


